Bug 242150 - SATA_NV: F-7 installer hangs if IDE is disabled
SATA_NV: F-7 installer hangs if IDE is disabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2007-06-01 17:07 EDT by Wart
Modified: 2013-07-02 22:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 19:47:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2007-06-01 17:07:05 EDT
Description of problem:
I have a Tyan S2925A2NRF motherboard with a single SATA drive attached (no
cdrom).  Since nothing was connected to the IDE bus, I disabled it in the BIOS.
 When I try to perform a PXE-based install, anaconda seems to hang when it tries
to load/detect IDE devices.  After 30 minutes of no response I gave up.

Version-Release number of selected component (if applicable):
F-7 DVD media

How reproducible:
Always

Steps to Reproduce:
1. Disable the IDE bus in the BIOS
2. Boot the machine from a non-IDE device, such as PXE
  
Actual results:
Anaconda hangs after loading the sata_nv driver

Expected results:
The installation continues normally

Additional info:
As soon as I added an IDE dvd-rom drive and re-enabled the IDE bus in the BIOS,
the installation went smoothly.
Comment 1 Christopher Brown 2007-09-13 15:32:34 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? It would be interesting to
know what is gained from disabling IDE in the BIOS? My inclination would be to
leave it enabled as I am unaware of any performance loss in enabling it.
Alternatively you may wish to enable for installation and then disable once
Fedora is installed.

If the problem has gone away then please close this bug or I'll do so in a few
days if there is no additional information lodged.

Cheers
Chris
Comment 2 Wart 2007-09-13 15:57:36 EDT
I haven't tried lately to see if this is still a problem.  The system I was
using has since gone into production, and I don't have any replacement hardware
to retest this.

I was probably being a little overeager in disabling IDE in the BIOS.  Since I
had no floppy or IDE hardware (only a single SATA drive), it seemed like a good
idea at the time.  You're right that there is probably no performance gain by
disabling it.

The one combination that I did not try was with IDE enabled, but with no IDE
devices attached.
Comment 3 Christopher Brown 2008-01-08 19:47:37 EST
Hi Wart,

I am closing this as INSUFFICIENT_DATA. Please re-open if the issue still occurs
for you and I will try to assist in its resolution. Thank you for taking the
time to report the initial bug.

Cheers
Chris

Note You need to log in before you can comment on or make changes to this bug.